OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
DiffLeafNodeMask< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | AccessorType = typename tree::ValueAccessor< TreeType >
using | LeafNodeType = typename TreeType::LeafNodeType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| DiffLeafNodeMask (const TreeType &rhsTree, std::vector< BoolLeafNodeType * > &lhsNodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ AccessorType

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ DiffLeafNodeMask()

DiffLeafNodeMask | ( | const TreeType & | rhsTree,
|  | std::vector< BoolLeafNodeType * > & | lhsNodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h